import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Ventana extends JFrame {

	private JPanel contentPane;
	static JTable table;
	

	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Ventana frame = new Ventana();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	public Ventana() {
		setTitle("Tabla");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JPanel panel = new JPanel();
		panel.setBounds(0, 0, 434, 261);
		contentPane.add(panel);
		panel.setLayout(null);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 50, 414, 159);
		panel.add(scrollPane);
		
		table = new JTable();
		table.setModel(new DefaultTableModel(
			new Object[][] {
			},
			new String[] {
				"Matricula", "Marca", "Modelo", "Color", "Km"
			}
		));
		scrollPane.setViewportView(table);
		
		JButton btnCrearCoche = new JButton("Crear Coche");
		btnCrearCoche.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				Ventana2 frame = new Ventana2();
				frame.setVisible(true);
				dispose();
			}
		});
		btnCrearCoche.setBounds(297, 11, 127, 23);
		panel.add(btnCrearCoche);
		
		Coche.arr.clear();
		
		carga_Array();
		
		int numCols = table.getModel().getColumnCount();
		
		Object[] fila = new Object[numCols];
		
		for(int i=0; i<Coche.arr.size();i++) {
			//fila[0] = i;
			fila[0]= Coche.arr.get(i).getMatricula();
			fila[1]= Coche.arr.get(i).getMarca();
			fila[2]= Coche.arr.get(i).getModelo();
			fila[3]= Coche.arr.get(i).getColor();
			fila[4]= Coche.arr.get(i).getKm();
			((DefaultTableModel) table.getModel()).addRow(fila);
		}
	}
	
	public static void carga_Array() {

		try {
			Class.forName(Conexion.driver);
			Conexion.con=DriverManager.getConnection(Conexion.url + Conexion.db, Conexion.user, Conexion.pass);
				
			Statement st = Conexion.con.createStatement();
				
			//Coche c1 = new Coche("333CCC","Ferrari","F40","Rojo",99999);
			//st.executeUpdate("INSERT INTO COCHE VALUES(" + c1.datos() + ")");
			
			ResultSet res = st.executeQuery("SELECT * FROM coche");
			
			while(res.next()) {
				String matricula = res.getString("matricula");
				String marca = res.getString("marca");
				String modelo = res.getString("modelo");
				String color = res.getString("color");
				double km=res.getDouble("km");
				
				//System.out.println(matricula + "\t\t" + marca + "\t\t" + modelo + "\t\t" + color + "\t\t" + km);
				Coche c = new Coche(matricula, marca, modelo, color, km);
				Coche.arr.add(c);
				
			}
			Conexion.con.close();
		}catch (ClassNotFoundException e) {
			e.printStackTrace();
		}catch (SQLException e) {
			e.printStackTrace();
		}
		
		
	}
}
